{===========================================================================}
{ Wiggly Worm '94 Special Edition by J.P.Boggis                             }
{===========================================================================}
{ This unit implements the on-line help for Wiggly Worm '94.                }
{---------------------------------------------------------------------------}
{ This program is free software; you can redistribute it and/or modify it   }
{ under the terms of the GNU General Public License as published by the     }
{ Free Software Foundation; either version 2 of the License, or (at your    }
{ option) any later version.                                                }
{                                                                           }
{ This program is distributed in the hope that it will be useful, but       }
{ WITHOUT ANY WARRANTY; without even the implied warranty of                }
{ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU         }
{ General Public License for more details.                                  }
{                                                                           }
{ You should have received a copy of the GNU General Public License along   }
{ with this program; if not, write to the Free Software Foundation, Inc.,   }
{ 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA                   }
{---------------------------------------------------------------------------}
{ Started by J.P.Boggis (AKA JC Digita) on 07/10/1993.                      }
{                                                                           }
{    Release 2.0  -  24/01/1994                                             }
{    Release 2.1  -  20/02/1994                                             }
{    Release 2.2  -  22/02/1994                                             }
{    Release 2.3  -  23/02/1994                                             }
{    Release 2.4  -  05/04/1994                                             }
{    Release 2.5  -  27/12/2000  -  Special Edition                         }
{===========================================================================}
{ email@jcdigita.com                                       www.jcdigita.com }
{===========================================================================}


{$S-}


unit wormhelp;

interface

uses crt,dos,graph,keybiz;

const mpos=128;

      page:byte=1;
      maxpages=20;

type coord=record
                 x,y,dir:byte;
     end;
     string80=string[80];
     sprite=array[1..38] of byte;
     wormtype=array[1..10] of sprite;
     icontype=array[1..24] of sprite;
     numbtype=array[0..15] of sprite;
     walltype=array[1..21] of sprite;

var icons:^icontype;
    worms:^wormtype;
    numbs:^numbtype;
    walls:^walltype;
    gf:coord;

procedure wormbit;
procedure iconbit;
procedure numbbit;
procedure wallbit;

procedure grafcentln10(what:string;fg,bg:byte);
procedure grafxy(wx1,wy1:byte);
procedure grafln;

procedure license(header:boolean;url:boolean);
procedure disp_helppage(redraw:boolean);

implementation

procedure wormbit;  external;  {$L WORM.OBJ}  {Worm sprites  }
procedure iconbit;  external;  {$L ICON.OBJ}  {Icon sprites  }
procedure numbbit;  external;  {$L NUMB.OBJ}  {Number sprites}
procedure wallbit;  external;  {$L WALL.OBJ}  {Wall sprites  }

{Centre some text using colours fg and bg and move down a line}
procedure grafcentln10(what:string;fg,bg:byte);
var x:word;
begin
     x:=(640-(length(what)*8)) div 2;
     setcolor(black);
     outtextxy(x+3,(gf.y*10)+2,what);
     setcolor(bg);
     outtextxy(x,succ(gf.y*10),what);
     setcolor(fg);
     outtextxy(x,gf.y*10,what);
     gf.x:=1;
     inc(gf.y);
end;

{Move graphic text cursor to co-ords wx1,wy1}
procedure grafxy(wx1,wy1:byte);
begin
     gf.x:=wx1;
     gf.y:=wy1;
end;

{Move graphic text cursor down a line}
procedure grafln;
begin
     gf.x:=1;
     inc(gf.y);
end;

{Display power up icon with border round it}
procedure graficon(x,y:word;icon:sprite);
begin
     x:=(x+1)*8;
     y:=(y+1)*10;
     setfillstyle(1,black);
     bar(x,y,x+17,y-17);
     bar(x+3,y+2,x+20,y-15);
     setcolor(darkgray);
     rectangle(x+3,y-3,x+14,y-14);
     rectangle(x+1,y-1,x+16,y-16);
     setcolor(white);
     rectangle(x+2,y-2,x+15,y-15);
     putimage(x+5,y-12,icon,normalput);
end;

{***  Display license information  ***}
procedure license(header:boolean;url:boolean);
var tempstr:string80;
    x:integer;

begin
     if(header) then
     begin
          settextstyle(sansseriffont,horizdir,4);
          tempstr:='I M P O R T A N T   N O T I C E ';
          x:=((640-textwidth(tempstr)) div 2)+8;
          setcolor(black);
          outtextxy(x+5,mpos+5,tempstr);
          outtextxy(x+6,mpos+6,tempstr);
          outtextxy(x+7,mpos+7,tempstr);
          setcolor(darkgray);
          outtextxy(x+2,mpos+2,tempstr);
          setcolor(lightgray);
          outtextxy(x+1,mpos+1,tempstr);
          setcolor(white);
          outtextxy(x,mpos,tempstr);
          settextstyle(defaultfont,horizdir,1);
          grafxy(1,18);
          grafln;
     end;

     grafcentln10('This program is free software; you can redistribute it and/or modify',white,lightgray);
     grafcentln10('it under the terms of the GNU General Public License as published by',white,lightgray);
     grafcentln10('the Free Software Foundation; either version 2 of the License, or   ',white,lightgray);
     grafcentln10('(At your option) any later version.                                 ',white,lightgray);
     grafln;
     grafcentln10('This program is distributed in the hope that it will be useful,     ',white,lightgray);
     grafcentln10('but WITHOUT ANY WARRANTY; without even the implied warranty of      ',white,lightgray);
     grafcentln10('MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the       ',white,lightgray);
     grafcentln10('GNU General Public License for more details.                        ',white,lightgray);
     grafln;
     grafcentln10('You should have received a copy of the GNU General Public License   ',white,lightgray);
     grafcentln10('along with this program; if not, write to:                          ',white,lightgray);
     grafln;
     grafcentln10('The Free Software Foundation, Inc., 59 Temple Place, Suite 330,     ',yellow,brown);
     grafcentln10('Boston, MA  02111-1307  USA                                         ',yellow,brown);

     if(url) then
     begin
          grafln;
          grafcentln10('Wiggly Worm ''94 Special Edition is available from:',white,lightgray);
          grafln;
          grafcentln10('http://www.jcdigita.com',lightcyan,cyan);
          grafcentln10('email@jcdigita.com',lightcyan,cyan);
     end;
end;

{Display current page of help}
procedure disp_helppage(redraw:boolean);
var tempstr:string80;
    x:integer;

begin
     {***  Clear help text area of screen  ***}
     setfillstyle(1,blue);
     if redraw then bar(23,mpos-6,617,mpos+287) else
        bar(23,mpos+42,617,mpos+287);

     {***  Show page number  ***}
     grafxy(1,39);
     grafcentln10('Page '+convert(page)+' of '+convert(maxpages)+'.',lightgreen,green);

     {***  Get title of current page  ***}
     case page of
          1:tempstr:='WELCOME TO WIGGLY WORM ''94! ';
          2:tempstr:='I M P O R T A N T   N O T I C E ';
          3:tempstr:='WHAT''S THE IDEA OF THE GAME? ';
          4:tempstr:='HOW TO PLAY THE GAME ';
          5:tempstr:='USING THE LASER ';
          6:tempstr:='THE MENU SYSTEM ';
          7..12:tempstr:='GAME CONFIGURATION ';
          13..18:tempstr:='POWER UP ICONS ';
          19:tempstr:='PLAYING HINTS ';
          20:tempstr:='OTHER INFORMATION ';
     end;

     {***  Display page's title  ***}
     if redraw then
     begin
          settextstyle(sansseriffont,horizdir,4);
          x:=((640-textwidth(tempstr)) div 2)+8;
          setcolor(black);
          outtextxy(x+5,mpos+5,tempstr);
          outtextxy(x+6,mpos+6,tempstr);
          outtextxy(x+7,mpos+7,tempstr);
          setcolor(darkgray);
          outtextxy(x+2,mpos+2,tempstr);
          setcolor(lightgray);
          outtextxy(x+1,mpos+1,tempstr);
          setcolor(white);
          outtextxy(x,mpos,tempstr);
     end;
     settextstyle(defaultfont,horizdir,1);
     grafxy(1,18);

     {***  Display page's help text  ***}
     case page of
          1:begin  {Welcome to Wiggly Worm '94}
                 grafln;
                 grafcentln10('Welcome to Wiggly Worm ''94 Special Edition!',lightcyan,cyan);
                 grafln;
                 grafln;
                 grafcentln10('Wiggly Worm ''94 is an updated version of the classic addictive',white,lightgray);
                 grafcentln10('snake/worm game, featuring multiplayer game play, lasers,',white,lightgray);
                 grafcentln10('power-up icons, levels and customisable game options.',white,lightgray);
                 grafln;
                 grafln;
                 grafcentln10('Using Wiggly Worm''s help system is simple:  Either click on the',white,lightgray);
                 grafcentln10('on-screen buttons with your mouse or use the up/down cursor keys',white,lightgray);
                 grafcentln10('or PG UP/PG DOWN to browse through the help pages at your leisure.',white,lightgray);
                 grafcentln10('Once you''ve finished reading, click on the "OK" button or press RETURN.',white,lightgray);
                 grafln;
                 grafln;
                 grafln;
                 grafcentln10('***  PLEASE READ ALL HELP PAGES BEFORE PLAYING THE GAME!  ***',yellow,brown);
          end;
          2:begin  {License information}
                 license(false,true);
          end;
          3:begin  {What's the idea of the game?}
                 grafcentln10('The idea of Wiggly Worm is to skillfully guide your worm around the',white,lightgray);
                 grafcentln10('screen, collecting the numbers and icons that appear to increase',white,lightgray);
                 grafcentln10('your score and advance to the next level.',white,lightgray);
                 grafln;
                 grafcentln10('However, it''s not as easy as it sounds, because you mustn''t hit',white,lightgray);
                 grafcentln10('yourself, another worm, a wall or the edge of the screen.  Also, you',white,lightgray);
                 grafcentln10('mustn''t turn back on yourself.',white,lightgray);
                 grafln;
                 grafcentln10('Each number you collect increases the length of your worm by that',white,lightgray);
                 grafcentln10('number and increases your score by the number x10.  Collecting a',white,lightgray);
                 grafcentln10('white ? gives you a random number between 25 and 75.',white,lightgray);
                 grafln;
                 grafcentln10('Each icon you collect has a different effect on your worm.',white,lightgray);
                 grafcentln10('To find out what effect each icon has, keep reading!',white,lightgray);
                 grafln;
                 grafcentln10('Up to 3 players can play Wiggly Worm.  These players can either be',white,lightgray);
                 grafcentln10('human or computer controlled (WARNING:  The computers are good!)',white,lightgray);
                 grafln;
                 grafcentln10('The main menu lets you set up Wiggly Worm to suit your playing',lightcyan,cyan);
                 grafcentln10('ability (You can make the game easier or harder, etc.)',lightcyan,cyan);
          end;
          4:begin  {How to play the game}
                 grafcentln10('Playing Wiggly Worm is easy when you know how (And highly addictive!)...',lightcyan,cyan);
                 grafln;
                 grafcentln10('Each player (1-3) has their own set of keyboard controls (Listed',white,lightgray);
                 grafcentln10('below.)  Using the keys 1, 2 and 3 or by clicking with the mouse,',white,lightgray);
                 grafcentln10('you can choose which players will be human controlled,',white,lightgray);
                 grafcentln10('computer controlled or not playing.',white,lightgray);
                 grafln;
                 grafcentln10('When you start the game, your worm will start moving from the spot',white,lightgray);
                 grafcentln10('marked by a flashing number (Your player number.)  Press a key and',white,lightgray);
                 grafcentln10('your worm will start moving in that direction (E.g:  Up.)',white,lightgray);
                 grafln;
                 grafln;
                 grafln;
                 grafcentln10('Player control keys...',yellow,brown);
                 grafln;
                 grafcentln10('Player 1:  Z Left,  X Right,  F Up,  C Down and G Fire.          ',lightcyan,cyan);
                 grafcentln10('Player 2:  1 Left,  2 Right,  6 Up,  3 Down and + Fire.  (Keypad)',lightcyan,cyan);
                 grafcentln10('Player 3:  U Left,  I Right,  0 (Zero) Up,  C Down and - Fire.   ',lightcyan,cyan);
          end;
          5:begin  {Using the laser}
                 grafcentln10('The laser can be used to shoot through a worm segment in front of',lightcyan,cyan);
                 grafcentln10('you (In otherwords, you can use it to stop yourself crashing into',lightcyan,cyan);
                 grafcentln10('your tail or another worm.)',lightcyan,cyan);
                 grafln;
                 grafln;
                 grafcentln10('When playing, pressing your FIRE key will fire your laser in the',white,lightgray);
                 grafcentln10('direction your worm is travelling.  However, each time you use',white,lightgray);
                 grafcentln10('the laser, you''ll lose 5 points from your score.  If you have',white,lightgray);
                 grafcentln10('a score of 0 (Zero), you can''t use the laser.',white,lightgray);
                 grafln;
                 grafln;
                 grafcentln10('If you accidentally shoot a number or power up icon, the points it',white,lightgray);
                 grafcentln10('was worth are deducted from your score.',white,lightgray);
                 grafln;
                 grafln;
                 grafcentln10('If you''re good enough, you can kill other worms with the laser by',white,lightgray);
                 grafcentln10('shooting their head!   However, you can''t kill worms that aren''t',white,lightgray);
                 grafcentln10('moving or are stunned by the STUN power up icon.  If the victim',white,lightgray);
                 grafcentln10('hasn''t scored enough points or has a WORM SAVER, they wont die!',white,lightgray);
          end;
          6:begin  {The menu system}
                 grafcentln10('Using a mouse...',lightcyan,cyan);
                 grafln;
                 grafcentln10('Clicking on an on-screen button with the RIGHT mouse button will',white,lightgray);
                 grafcentln10('cycle FORWARDS through the available options on the button or will',white,lightgray);
                 grafcentln10('INCREASE the number if the button has a numerical value.',white,lightgray);
                 grafln;
                 grafcentln10('Clicking on an on-screen button with the LEFT mouse button will',white,lightgray);
                 grafcentln10('cycle BACKWARDS through the available options on the button or',white,lightgray);
                 grafcentln10('will DECREASE the number if the button has a numerical value.',white,lightgray);
                 grafln;
                 grafcentln10('Clicking on an on-screen button with the MIDDLE mouse button',white,lightgray);
                 grafcentln10('(Or BOTH buttons if you haven''t got a 3 buttoned mouse) will',white,lightgray);
                 grafcentln10('set the option/number to it''s default setting/value.',white,lightgray);
                 grafln;
                 grafcentln10('Using the keyboard...',lightcyan,cyan);
                 grafln;
                 grafcentln10('Pressing the key(s) on the keyboard indicated by the high-lighted',white,lightgray);
                 grafcentln10('letters/symbols on the on-screen buttons will act as though you',white,lightgray);
                 grafcentln10('clicked the RIGHT button of the mouse on that button.',white,lightgray);
                 grafcentln10('(E.g:  Pressing O for "OK")',white,lightgray);
          end;
          7:begin  {Game configuration}
                 grafcentln10('PLAYER 1:  PLAYER 2:  PLAYER 3:',lightcyan,cyan);
                 grafln;
                 grafcentln10('These 3 buttons (At the top of the main menu) select which players',white,lightgray);
                 grafcentln10('will be playing and who will control them (HUMAN or COMPUTER.)',white,lightgray);
                 grafcentln10('(NOTE:  When a player is set to HUMAN, the keyboard controls',white,lightgray);
                 grafcentln10('for that player are displayed on the button.)',white,lightgray);
                 grafln;
                 grafln;
                 grafcentln10('COMPUTERS CAN USE LASER:  HUMANS CAN USE LASER:',lightcyan,cyan);
                 grafln;
                 grafcentln10('These buttons set whether COMPUTER and HUMAN players can use the laser',white,lightgray);
                 grafcentln10('or not.  If computer players can''t use the laser, they''ll usually play',white,lightgray);
                 grafcentln10('extremely badly (Regardless of what COMPUTER PLAYING ABILITY is set to.)',white,lightgray);
          end;
          8:begin  {Game configuration (Continued)}
                 grafcentln10('GAME SPEED (Lower = faster):',lightcyan,cyan);
                 grafln;
                 grafcentln10('This button sets how fast the game will play (How fast the worms will',white,lightgray);
                 grafcentln10('move.)  The lower the number, the faster the game runs.  The slowest',white,lightgray);
                 grafcentln10('speed possible is 99 (Meaning that you can slow it down enough to',white,lightgray);
                 grafcentln10('make it playable on the latest Pentiums!)',white,lightgray);
                 grafln;
                 grafcentln10('Use the keys + and - or the RIGHT and LEFT mouse buttons to increase',white,lightgray);
                 grafcentln10('or decrease the game speed.',white,lightgray);
                 grafln;
                 grafln;
                 grafcentln10('LIVES PER PLAYER:',lightcyan,cyan);
                 grafln;
                 grafcentln10('This button sets how many lives each player begins with.',white,lightgray);
                 grafln;
                 grafcentln10('An extra life is awarded for every 10000 points you score.',white,lightgray);
                 grafcentln10('(NOTE:  You can ONLY have a maximum of 10 lives!)',white,lightgray);
                 grafln;
                 grafcentln10('Extra life power up icons also appear from time to time during game',white,lightgray);
                 grafcentln10('play (See ''POWER UP ICONS'' further on in this help text.)',white,lightgray);
          end;
          9:begin  {Game configuration (Continued)}
                 grafcentln10('ICON vs NUMBERS PROBABILITY:',lightcyan,cyan);
                 grafln;
                 grafcentln10('Sets how many power up icons in relation to numbers will appear',white,lightgray);
                 grafcentln10('throughout the course of the game.',white,lightgray);
                 grafln;
                 grafln;
                 grafcentln10('WORM LENGTH AFTER CRASHING:',lightcyan,cyan);
                 grafln;
                 grafcentln10('Sets what happens to the length of your worm each time you crash.',white,lightgray);
                 grafln;
                 grafcentln10('High percentage = Long worm after crashing.   (Making game play harder)',white,lightgray);
                 grafcentln10(' Low percentage = Short worm after crashing.  (Making game play easier)',white,lightgray);
          end;
          10:begin  {Game configuration (Continued)}
                 grafcentln10('LEVEL DIFFICULTY:',lightcyan,cyan);
                 grafln;
                 grafcentln10('Sets how hard it is to complete each level.',white,lightgray);
                 grafln;
                 grafcentln10('The number displayed in the top right hand corner of the screen',white,lightgray);
                 grafcentln10('is the total number of points that need to be collected to',white,lightgray);
                 grafcentln10('advance to the next level.',white,lightgray);
                 grafln;
                 grafcentln10('Each time a power up icon/number is collected (By any player), it''s',white,lightgray);
                 grafcentln10('value is deducted from this total.  Players are ranked at the end of',white,lightgray);
                 grafcentln10('each level (By the number of points they scored on that level) and',white,lightgray);
                 grafcentln10('are awarded bonus points accordingly.',white,lightgray);
                 grafln;
                 grafcentln10('The harder the level difficulty, the more score you need per level to',white,lightgray);
                 grafcentln10('complete the level (Levels get harder and harder as you go on anyway,',white,lightgray);
                 grafcentln10('this setting just effects how quickly they get harder.)',white,lightgray);
          end;
          11:begin  {Game configuration (Continued)}
                  grafcentln10('COMPUTER PLAYING ABILITY:',lightcyan,cyan);
                  grafln;
                  grafcentln10('Sets how good computer players are at playing (NOTE:  This setting has',white,lightgray);
                  grafcentln10('very little effect when COMPUTERS CAN USE LASER is set to OFF.)',white,lightgray);
                  grafln;
                  grafln;
                  grafcentln10('FAST COMPUTER PLAYERS OPTION:',lightcyan,cyan);
                  grafln;
                  grafcentln10('When set to ''When there are no human players left'', this option will',white,lightgray);
                  grafcentln10('make all computer players move at maximum speed (Speed 0) once all',white,lightgray);
                  grafcentln10('human players are dead.',white,lightgray);
                  grafln;
                  grafcentln10('NOTE:  The computer players don''t start moving at maximum speed until',white,lightgray);
                  grafcentln10('       the level after the one the last human player died on.        ',white,lightgray);
          end;
          12:begin  {Game configuration (Continued)}
                  grafcentln10('ICONS ON SCREEN:',lightcyan,cyan);
                  grafln;
                  grafcentln10('Each power up icon/number remains on screen for a random amount of time',white,lightgray);
                  grafcentln10('after appearing.  This button sets the maximum amount this time can be.',white,lightgray);
                  grafln;
                  grafln;
                  grafcentln10('ICONS OFF SCREEN:',lightcyan,cyan);
                  grafln;
                  grafcentln10('When a power up icon/number disappears, it remains off screen for a',white,lightgray);
                  grafcentln10('random amount of time before appearing again (Usually as a different',white,lightgray);
                  grafcentln10('power up icon/number.)  This button sets the maximum amouunt this',white,lightgray);
                  grafcentln10('time can be.',white,lightgray);
                  grafln;
                  grafln;
                  grafcentln10('MAXIMUM NUMBER OF ICONS ON SCREEN:',lightcyan,cyan);
                  grafln;
                  grafcentln10('This button sets the maximum number of power up icons/numbers that',white,lightgray);
                  grafcentln10('can be on screen at once.',white,lightgray);
          end;
          13:begin  {Power up icons}
                  graficon(6,gf.y,icons^[1]);
                  grafcentln10('SPEED UP',lightcyan,cyan);
                  grafln;
                  grafcentln10('Collecting this icon will make your worm move at a faster speed for 10',white,lightgray);
                  grafcentln10('seconds, letting you grab icons/numbers before anyone else can!',white,lightgray);
                  grafln;
                  grafln;
                  graficon(6,gf.y,icons^[2]);
                  grafcentln10('SLOW DOWN',lightcyan,cyan);
                  grafln;
                  grafcentln10('Collecting this icon will make your worm move at a slower speed for 10',white,lightgray);
                  grafcentln10('seconds, making it easier to control, but making it difficult to',white,lightgray);
                  grafcentln10('get to icons before the other players do.',white,lightgray);
                  grafln;
                  grafln;
                  graficon(6,gf.y,icons^[3]);
                  grafcentln10('SUPER SHOTS',lightcyan,cyan);
                  grafln;
                  grafcentln10('Collecting this icon gives you 10 super shots, which make your laser',white,lightgray);
                  grafcentln10('go through all worm segments to the edge of the screen or a wall.',white,lightgray);
          end;
          14:begin  {Power up icons (Continued)}
                  graficon(6,gf.y,icons^[4]);
                  grafcentln10('MEGA SHOTS',lightcyan,cyan);
                  grafln;
                  grafcentln10('Collecting this icon gives you 10 mega shots, which make your laser',white,lightgray);
                  grafcentln10('go through everything in it''s path to the edge of the screen.',white,lightgray);
                  grafln;
                  grafln;
                  graficon(6,gf.y,icons^[5]);
                  grafcentln10('POINTS FOR MOVING',lightcyan,cyan);
                  grafln;
                  grafcentln10('Collecting this icon will add the current level number onto',white,lightgray);
                  grafcentln10('your score each time your worm moves for 10 seconds.',white,lightgray);
                  grafln;
                  grafln;
                  graficon(6,gf.y,icons^[6]);
                  grafcentln10('EXTRA LIFE',lightcyan,cyan);
                  grafln;
                  grafcentln10('Collecting this icon will give you an extra life.',white,lightgray);
                  grafln;
                  grafcentln10('An extra life is also awarded for every 10000 points you score.',white,lightgray);
                  grafln;
                  grafcentln10('(NOTE:  You can ONLY have a maximum of 10 lives!)',white,lightgray);
          end;
          15:begin  {Power up icons (Continued)}
                  graficon(6,gf.y,icons^[7]);
                  grafcentln10('HALF LENGTH',lightcyan,cyan);
                  grafln;
                  grafcentln10('Collecting this icon will make your worm shrink to half',white,lightgray);
                  grafcentln10('of it''s current length (Making game play easier.)',white,lightgray);
                  grafln;
                  grafln;
                  graficon(6,gf.y,icons^[8]);
                  grafcentln10('DOUBLE LENGTH',lightcyan,cyan);
                  grafln;
                  grafcentln10('Collecting this icon will increase your score by 20x the current',white,lightgray);
                  grafcentln10('length of your worm and will make your worm double in length.',white,lightgray);
                  grafln;
                  grafln;
                  graficon(6,gf.y,icons^[9]);
                  grafcentln10('3-WAY SHOTS',lightcyan,cyan);
                  grafln;
                  grafcentln10('Collecting this icon gives you 5 3-way shots which make your',white,lightgray);
                  grafcentln10('laser fire off to both sides of you as well as in front.',white,lightgray);
                  grafln;
                  grafln;
          end;
          16:begin  {Power up icons (Continued)}
                  graficon(6,gf.y,icons^[10]);
                  grafcentln10('WORM SAVER',lightcyan,cyan);
                  grafln;
                  grafcentln10('Collecting this icon makes it so when you next crash, you get',white,lightgray);
                  grafcentln10('saved (So you don''t lose a life) just like you would if you',white,lightgray);
                  grafcentln10('crashed before collecting 50 (Or more) points on a life.',white,lightgray);
                  grafln;
                  grafln;
                  graficon(6,gf.y,icons^[11]);
                  grafcentln10('WORM EATER',lightcyan,cyan);
                  grafln;
                  grafcentln10('Collecting this icon allows you to "eat" (Or go through)',white,lightgray);
                  grafcentln10('10 worm segments or wall blocks without crashing.',white,lightgray);
                  grafln;
                  grafln;
                  graficon(6,gf.y,icons^[12]);
                  grafcentln10('STUN',lightcyan,cyan);
                  grafln;
                  grafcentln10('Collecting this icon stuns all worms that are moving (Except you,',white,lightgray);
                  grafcentln10('of course) at the time you collect it for 10 seconds, so you can',white,lightgray);
                  grafcentln10('go round collecting all the best icons at your leisure!',white,lightgray);
                  grafln;
                  grafln;
          end;
          17:begin  {Power up icons (Continued)}
                  graficon(6,gf.y,icons^[13]);
                  graficon(9,gf.y,icons^[14]);
                  graficon(12,gf.y,icons^[15]);
                  graficon(15,gf.y,icons^[16]);
                  graficon(18,gf.y,icons^[17]);
                  graficon(21,gf.y,icons^[18]);
                  graficon(24,gf.y,icons^[19]);
                  grafcentln10('COLOUR CHANGER',lightcyan,cyan);
                  grafln;
                  grafcentln10('Collecting any one of these icons makes your worm change to the',white,lightgray);
                  grafcentln10('colour of that icon.  Changing the colour of your worm to that',white,lightgray);
                  grafcentln10('of another human player will really confuse them!',white,lightgray);
                  grafln;
                  grafln;
                  graficon(6,gf.y,icons^[20]);
                  grafcentln10('RANDOM ICON',lightcyan,cyan);
                  grafln;
                  grafcentln10('Collecting this icon will give you a random power up icon.',white,lightgray);
                  grafcentln10('It could be anything!',white,lightgray);
                  grafln;
                  grafln;
                  graficon(6,gf.y,icons^[23]);
                  grafcentln10('RANDOM BLOCKS',lightcyan,cyan);
                  grafln;
                  grafcentln10('Collecting this icon scatters a random number of wall blocks all',white,lightgray);
                  grafcentln10('over the screen.  It also gives you 3 seconds invincibility so',white,lightgray);
                  grafcentln10('you don''t end up crashing (Well at least not straight away!)',white,lightgray);
          end;
          18:begin  {Power up icons (Continued)}
                  graficon(6,gf.y,icons^[22]);
                  grafcentln10('THEIF',lightcyan,cyan);
                  grafln;
                  grafcentln10('Collecting this icon nicks the tails off the other worms and adds',white,lightgray);
                  grafcentln10('them to yours (Giving you 20 points for each segment added!)',white,lightgray);
                  grafln;
                  grafln;
                  graficon(6,gf.y,icons^[24]);
                  grafcentln10('INVINCIBILY',lightcyan,cyan);
                  grafln;
                  grafcentln10('Collecting this icon gives you invincibility (Meaning you can''t',white,lightgray);
                  grafcentln10('crash) and lets you eat through walls and other worms for 10 secs.',white,lightgray);
                  grafln;
                  grafln;
                  graficon(6,gf.y,icons^[21]);
                  grafcentln10('SUPER POWER',lightcyan,cyan);
                  grafln;
                  grafcentln10('Collecting this icon makes your worm zoom around the screen under',white,lightgray);
                  grafcentln10('computer control at high speed for 10 secs, nicking every power up',white,lightgray);
                  grafcentln10('icon and number that appears before the other players get a chance!',white,lightgray);
                  grafcentln10('Your worm''s also invincible for the 10 secs, so the computer doesn''t',white,lightgray);
                  grafcentln10('crash it!  Once the 10 secs are up, your worm stops moving, so you',white,lightgray);
                  grafcentln10('can take control again.',white,lightgray);
          end;
          19:begin  {Playing hints}
                  grafcentln10('If you have a long(ish) tail, try and trap the other players on',white,lightgray);
                  grafcentln10('the opposite side of it near the edge of the screen  -  This will',white,lightgray);
                  grafcentln10('give you maximum chance of collecting any icons/numbers that',white,lightgray);
                  grafcentln10('appear before the other players can get to them!',white,lightgray);
                  grafln;
                  grafln;
                  grafcentln10('Try and save WORM EATERS (In other words, don''t show off with them by',white,lightgray);
                  grafcentln10('going through walls, etc.) because they can (And often will) save you',white,lightgray);
                  grafcentln10('from dying if you crash into another worm or a wall.',white,lightgray);
                  grafln;
                  grafln;
                  grafcentln10('If you think you''re a crack shot, try wiping out whole walls with the',white,lightgray);
                  grafcentln10('laser when you have MEGA SHOTS  -  The less walls there are, the less',white,lightgray);
                  grafcentln10('likely you are to crash!  Just approach the wall end-on and shoot!',white,lightgray);
                  grafln;
                  grafln;
                  grafcentln10('Try and collect POINTS FOR MOVING icons if you can, because they''ll',white,lightgray);
                  grafcentln10('earn you loads of points (Especially on later levels) and they''ll',white,lightgray);
                  grafcentln10('also often complete the level too!',white,lightgray);
          end;
          20:begin  {Other information}
                  grafcentln10('Wiggly Worm ''94 SE DOS command line parameters...',lightcyan,cyan);
                  grafln;
                  grafln;
                  grafcentln10('WORM94SE [/Q] [/B] [/?]',lightgreen,green);
                  grafln;
                  grafln;
                  grafcentln10('/? - Displays usage and command line parameters.                     ',white,lightgray);
                  grafcentln10('/Q - Loads Wiggly Worm ''94 SE with sound turned off.                    ',white,lightgray);
                  grafcentln10('/B - Prevents "You have been playing..." message from being displayed',white,lightgray);
                  grafcentln10('     when you exit to DOS.                                           ',white,lightgray);
                  grafln;
                  grafcentln10('     NOTE:  No message will be displayed if you use the emergency    ',white,lightgray);
                  grafcentln10('            exit (Or "Boss key"), which is F10.                      ',white,lightgray);
                  grafln;
                  grafln;
                  grafcentln10('Useful keys...',lightcyan,cyan);
                  grafln;
                  grafcentln10('F1 - Turn sound on/off, F10 - Emergency exit (Or "Boss key") and',white,lightgray);
                  grafcentln10('ESC - Abort game (Also cancels score chart stuff (Entering name, etc.))',white,lightgray);
          end;
     end;
end;

begin
end.